Subject: bug#38168: shred vs. SSD

From: Egmont Koblinger <[email-masked]>
Date: Mon, 11 Nov 2019 10:36:12 +0100

Hi,

shred's man and info pages devote several paragraphs to explain "a
very important assumption: that the file system overwrites data in
place."

However, they don't mention that the underlying storage also has to
meet this criterium. In particular, today's widely used SSD drives are
known to perform wear leveling, i.e. rearrange the blocks as they
please.

I think shred's documentation should devote a section to storage media, too.

(On a side note, the man and info pages are slightly out of sync. E.g.
the info page mentions BFS and NTFS as journaling file systems, the
man page doesn't.)

thanks a lot,
egmont